Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class X500Name

    java.lang.Object
      |
      +--weblogic.security.Entity
            |
            +--weblogic.security.X500Name

Deprecated. Deprecated in WebLogic Server 7.0.

public final class X500Name
extends Entity
implements Streamable, java.io.Serializable

X.500 names in BER format.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected byte[]` | `contents` Deprecated.
`protected java.lang.String` | `countryName` Deprecated.
`protected java.lang.String` | `email` Deprecated.
`protected java.lang.String` | `localityName` Deprecated.
`protected java.lang.String` | `organizationName` Deprecated.
`protected java.lang.String` | `orgUnitName` Deprecated.
`protected java.lang.String` | `stateName` Deprecated.

Fields inherited from class weblogic.security.Entity
`name`

Constructor Summary
`X500Name()` Deprecated.

Method Summary
`boolean` | `equals(Entity e)` Deprecated.
`boolean` | `equals(java.lang.Object o)` Deprecated.
`java.lang.String` | `getCommonName()` Deprecated.
`java.lang.String` | `getCountryName()` Deprecated.
`java.lang.String` | `getEmail()` Deprecated.
`java.lang.String` | `getLocalityName()` Deprecated.
`java.lang.String` | `getOrganizationName()` Deprecated.
`java.lang.String` | `getOrgUnitName()` Deprecated.
`java.lang.String` | `getStateName()` Deprecated.
`void` | `input(java.io.InputStream is)` Deprecated. Read X.500 Name from specified input stream.
`int` | `length()` Deprecated.
`void` | `output(java.io.OutputStream os)` Deprecated. Output X500Name to specified output stream.
`protected void` | `parseAttr(int[] attr, java.lang.String value)` Deprecated.
`void` | `setCountryName(java.lang.String s)` Deprecated.
`void` | `setEmail(java.lang.String s)` Deprecated.
`void` | `setLocalityName(java.lang.String s)` Deprecated.
`void` | `setOrganizationName(java.lang.String s)` Deprecated.
`void` | `setOrgUnitName(java.lang.String s)` Deprecated.
`void` | `setStateName(java.lang.String s)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class weblogic.security.Entity
`getName, initialize, save, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### countryName

    protected java.lang.String countryName

  Deprecated.

### stateName

    protected java.lang.String stateName

  Deprecated.

### localityName

    protected java.lang.String localityName

  Deprecated.

### organizationName

    protected java.lang.String organizationName

  Deprecated.

### orgUnitName

    protected java.lang.String orgUnitName

  Deprecated.

### email

    protected java.lang.String email

  Deprecated.

### contents

    protected byte[] contents

  Deprecated.

Constructor Detail

### X500Name

    public X500Name()

  Deprecated.

Method Detail

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Deprecated.
  Read X.500 Name from specified input stream.
  Specified by:
    input in interface Streamable

### parseAttr

    protected void parseAttr(int[] attr,
                             java.lang.String value)

  Deprecated.

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Deprecated.
  Output X500Name to specified output stream.
  Specified by:
    output in interface Streamable

### length

    public int length()

  Deprecated.
  Specified by:
    length in interface Streamable

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(Entity e)

  Deprecated.

  Overrides:
    equals in class Entity

### equals

    public boolean equals(java.lang.Object o)

  Deprecated.

  Overrides:
    equals in class java.lang.Object

### getCommonName

    public java.lang.String getCommonName()

  Deprecated.

### getCountryName

    public java.lang.String getCountryName()

  Deprecated.

### setCountryName

    public void setCountryName(java.lang.String s)

  Deprecated.

### getStateName

    public java.lang.String getStateName()

  Deprecated.

### setStateName

    public void setStateName(java.lang.String s)

  Deprecated.

### getLocalityName

    public java.lang.String getLocalityName()

  Deprecated.

### setLocalityName

    public void setLocalityName(java.lang.String s)

  Deprecated.

### getOrganizationName

    public java.lang.String getOrganizationName()

  Deprecated.

### setOrganizationName

    public void setOrganizationName(java.lang.String s)

  Deprecated.

### getOrgUnitName

    public java.lang.String getOrgUnitName()

  Deprecated.

### setOrgUnitName

    public void setOrgUnitName(java.lang.String s)

  Deprecated.

### getEmail

    public java.lang.String getEmail()

  Deprecated.

### setEmail

    public void setEmail(java.lang.String s)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD